## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionColumn

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic

    public interface ValueExpressionColumn

extends ValueExpressionAtomic

A representation of the model object 'SQL Value Expression Column'. This is a VEC

The following features are supported:

- `Assignment Expr Target`
- `Parent Table Expr`
- `Insert Statement`
- `Table Expr`
- `Table In Database`
- `Merge Insert Spec`

See Also:
  `SQLQueryModelPackage.getValueExpressionColumn()`

Method Summary
`org.eclipse.emf.common.util.EList` `getAssignmentExprTarget()` Returns the value of the 'Assignment Expr Target' reference list.
`org.eclipse.emf.common.util.EList` `getInsertStatement()` Returns the value of the 'Insert Statement' reference list.
`org.eclipse.emf.common.util.EList` `getMergeInsertSpec()` Returns the value of the 'Merge Insert Spec' reference list.
`TableExpression` `getParentTableExpr()` Returns the value of the 'Parent Table Expr' container reference.
`TableExpression` `getTableExpr()` Returns the value of the 'Table Expr' reference.
`TableInDatabase` `getTableInDatabase()` Returns the value of the 'Table In Database' reference.
`void` `setParentTableExpr(TableExpression value)` Sets the value of the '`Parent Table Expr`' container reference.
`void` `setTableExpr(TableExpression value)` Sets the value of the '`Table Expr`' reference.
`void` `setTableInDatabase(TableInDatabase value)` Sets the value of the '`Table In Database`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getCallStatement, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getTableFunction, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValueExprRow, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setCallStatement, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setTableFunction, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValueExprRow, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getAssignmentExprTarget

    org.eclipse.emf.common.util.EList getAssignmentExprTarget()

  Returns the value of the 'Assignment Expr Target' reference list. The list contents are of type `UpdateAssignmentExpression`. It is bidirectional and its opposite is '`Target Column List`'.

  If the meaning of the 'Assignment Expr Target' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assignment Expr Target' reference list.
  See Also:
    `SQLQueryModelPackage.getValueExpressionColumn_AssignmentExprTarget()`, `UpdateAssignmentExpression.getTargetColumnList()`

### getParentTableExpr

    TableExpression getParentTableExpr()

  Returns the value of the 'Parent Table Expr' container reference. It is bidirectional and its opposite is '`Column List`'.

  If the meaning of the 'Parent Table Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Table Expr' container reference.
  See Also:
    `setParentTableExpr(TableExpression)`, `SQLQueryModelPackage.getValueExpressionColumn_ParentTableExpr()`, `TableExpression.getColumnList()`

### setParentTableExpr

    void setParentTableExpr(TableExpression value)

  Sets the value of the '`Parent Table Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Parent Table Expr' container reference.
  See Also:
    `getParentTableExpr()`

### getTableExpr

    TableExpression getTableExpr()

  Returns the value of the 'Table Expr' reference. It is bidirectional and its opposite is '`Value Expr Columns`'.

  If the meaning of the 'Table Expr' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Expr' reference.
  See Also:
    `setTableExpr(TableExpression)`, `SQLQueryModelPackage.getValueExpressionColumn_TableExpr()`, `TableExpression.getValueExprColumns()`

### setTableExpr

    void setTableExpr(TableExpression value)

  Sets the value of the '`Table Expr`' reference.

  Parameters:
    `value` - the new value of the 'Table Expr' reference.
  See Also:
    `getTableExpr()`

### getTableInDatabase

    TableInDatabase getTableInDatabase()

  Returns the value of the 'Table In Database' reference. It is bidirectional and its opposite is '`Derived Column List`'. Gets the `TableInDatabase` from which this column is ulitimately derived, if any.

  Returns:
    the value of the 'Table In Database' reference.
  See Also:
    `setTableInDatabase(TableInDatabase)`, `SQLQueryModelPackage.getValueExpressionColumn_TableInDatabase()`, `TableInDatabase.getDerivedColumnList()`

### setTableInDatabase

    void setTableInDatabase(TableInDatabase value)

  Sets the value of the '`Table In Database`' reference.

  Parameters:
    `value` - the new value of the 'Table In Database' reference.
  See Also:
    `getTableInDatabase()`

### getMergeInsertSpec

    org.eclipse.emf.common.util.EList getMergeInsertSpec()

  Returns the value of the 'Merge Insert Spec' reference list. The list contents are of type `MergeInsertSpecification`. It is bidirectional and its opposite is '`Target Column List`'.

  If the meaning of the 'Merge Insert Spec' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merge Insert Spec' reference list.
  See Also:
    `SQLQueryModelPackage.getValueExpressionColumn_MergeInsertSpec()`, `MergeInsertSpecification.getTargetColumnList()`

### getInsertStatement

    org.eclipse.emf.common.util.EList getInsertStatement()

  Returns the value of the 'Insert Statement' reference list. The list contents are of type `QueryInsertStatement`. It is bidirectional and its opposite is '`Target Column List`'.

  If the meaning of the 'Insert Statement' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Insert Statement' reference list.
  See Also:
    `SQLQueryModelPackage.getValueExpressionColumn_InsertStatement()`, `QueryInsertStatement.getTargetColumnList()`